<template>
    <div>
        <RequestForm v-bind:request="request" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></RequestForm>
    </div>
</template>

<script>
import RequestForm from './Request.Form.vue';
import { addRequest } from '@/api/requests.service.js';
export default {
    data() {
        return {
            request: {}
        }
    },
    computed: {
    },
    components: {
        RequestForm
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            this.request.checked = false;
            addRequest(this.request).then(() => {
                this.$router.go(-1);
            });
        },
        remove() {

        }
    }
}
</script>

<style>

</style>
